#!/usr/bin/env node

/*
* This file is responsible for documentation of deployments only.
*/

let indexModule = require("./dist/index.js");

const parameters = {};
const args = require('minimist')(process.argv.slice(2));

if (args.version != null) {
    // console.log(' < Found version parameter');
    parameters.version = args.version;
}
if (args.environment != null) {
    // console.log(' < Found environment parameter');
    parameters.environment = args.environment;
}
if (args.componentName != null) {
    // console.log(' < Found componentName parameter');
    parameters.componentName = args.componentName;
}
if (args.key != null) {
    // console.log(' < Found key parameter');
    parameters.key = args.key;
}

if (parameters.environment == null || parameters.version == null) {
    console.error('Missing parameter: we require a version and environment parameter');
    return;
}

indexModule.documentDeployment(parameters);
