import { Scan } from "../../model/scan";
import { MojoParameters } from "../mojo-parameters";
import { ScanResponse } from "./scan-response";
import { ReleaseDetail } from "../../model/release-detail";
import { DecisionRecordDetail } from "../../model/decision-record-detail";
import { FeatureFileDetail } from "../../model/feature-file-detail";
import { Deployment } from "../../model/deployment";
import { DecisionRecordForOverview } from "../../model/decision-record-for-overview";
export declare class ContextMapServerClient {
    private parameters;
    private signinResponse;
    private httpService;
    constructor(parameters: MojoParameters);
    processScan(scan: Scan): ScanResponse | null;
    addRelease(releaseDetail: ReleaseDetail): void;
    addDecisionRecord(adrDetail: DecisionRecordDetail): void;
    setDecisionRecordForOverview(adrDetail: DecisionRecordForOverview): void;
    addFeatureFile(ffDetail: FeatureFileDetail): void;
    documentDeployment(deployment: Deployment): void;
    getReleaseNames(componentName: string): string[];
    private signIn;
    private sendScan;
}
