import { ComponentType } from "./component-type";
import { Technology } from "./technology";
import { BytesOfCode } from "./bytes-of-code";
import { CommitOverview } from "./commit-overview";
export interface ScannedComponent {
    name: string;
    aliases: string[];
    systemName: string;
    type: ComponentType;
    version: string;
    domainVisionStatement: string;
    team: string;
    organization: string;
    teamMail: string;
    urlDocumentation: string;
    urlVersionControl: string;
    urlIssueManagement: string;
    urlBuildPipeline: string;
    recentCommits: CommitOverview[];
    bytesOfCodes: BytesOfCode[];
    technologies: Technology[];
}
export declare function createScannedComponent(): ScannedComponent;
